Bug 270209 - Ergo behavior affected by JShell
Ergo behavior affected by JShell
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: JShell
Dev
PC Linux
: P1 (vote)
: Dev
Assigned To: Svata Dedic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-27 08:03 UTC by Jaroslav Tulach
Modified: 2017-04-01 03:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2017-03-27 08:03:59 UTC
Ergonomics tests are failing. Probably nbjshell9 isn't listed as a module java.kit depends on. Or (if it shalln't be enabled on JDK9) modify the test to skip this module from the check.


org.netbeans.modules.ide.ergonomics.fod.EnableJ2EEEnablesJavaTest.testEnablingJ2EEEnablesJavaViaAutoUpdateManager
Failing for the past 29 builds (Since #6881 )
Took 5.4 sec.
Error Message

java cluster shall be fully enabled, but this was missing:
[org.netbeans.lib.nbjshell9]

Stacktrace

junit.framework.AssertionFailedError: java cluster shall be fully enabled, but this was missing:
[org.netbeans.lib.nbjshell9]
	at org.netbeans.modules.ide.ergonomics.fod.EnableJ2EEEnablesJavaTest.testEnablingJ2EEEnablesJavaViaAutoUpdateManager(EnableJ2EEEnablesJavaTest.java:122)
	at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:102)
	at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:485)
	at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:411)
	at java.lang.Thread.run(Thread.java:745)
Comment 1 Svata Dedic 2017-03-29 13:08:04 UTC
Should be fixed by jet-main#c35f81b4be7f; the module that failed the test can be only enabled on JDK9 (has java dependency).
Comment 2 Jaroslav Tulach 2017-03-30 05:53:02 UTC
Let's see what http://deadlock.netbeans.org/job/ergonomics/6912 shows.
Comment 3 Quality Engineering 2017-03-31 01:49:56 UTC
Integrated into 'main-silver', will be available in build *201703310002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c35f81b4be7f
User: Svata Dedic <sdedic@netbeans.org>
Log: #270209: Ignore modules which depend on java higher than test runtime
Comment 4 Jaroslav Tulach 2017-03-31 03:35:27 UTC
Failure is gone since: http://deadlock.netbeans.org/job/ergonomics/6914/
Comment 5 Quality Engineering 2017-04-01 03:14:09 UTC
Integrated into 'main-silver', will be available in build *201704010002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9cc80de6bf9a
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: Merge of #270209: Ignore modules which depend on java higher than test runtime to ergo repo


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo